## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           xaos
Version:        4.3.4
Release:        %autorelease
Summary:        A fast, portable real-time interactive fractal zoomer

%global forgeurl https://github.com/xaos-project/XaoS
%global tag release-%{version}
%forgemeta

License:        GPL-2.0-or-later
URL:            %forgeurl
Source:         %forgesource

ExcludeArch:    %{ix86}

BuildRequires:  cmake(qt6)
BuildRequires:  gcc
BuildRequires:  libatomic
BuildRequires:  qt6-linguist


%description
XaoS is a fast, portable real-time interactive fractal zoomer. It
displays the Mandelbrot set (among other escape time fractals) and
allows you zoom smoothly into the fractal. Various coloring modes are
provided for both the points inside and outside the selected set. XaoS
supports switching between Julia and Mandelbrot fractal types and
on-the-fly plane switching.


%prep
%forgeautosetup -p1

%build
%qmake_qt6
%make_build STRIP=:

%install
#
# Stolen from https://build.opensuse.org/package/view_file/openSUSE:Factory/xaos/xaos.spec?expand=1
#
# Empty install target generated by qmake => install files manually
# Binary
install -D --mode 0755 --target-directory %{buildroot}%{_bindir} bin/%{name}

# Data; Datapath forced to XaoS (not configurable)
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/XaoS/catalogs catalogs/*.cat
cp --archive examples tutorial %{buildroot}%{_datadir}/XaoS

# Icon, .desktop, AppData
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/metainfo xdg/%{name}.appdata.xml
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/applications xdg/io.github.xaos_project.XaoS.desktop
install -D --mode 0644 --target-directory %{buildroot}%{_datadir}/pixmaps xdg/%{name}.png

# Man
install -D --mode 0644 --target-directory %{buildroot}%{_mandir}/man6 doc/%{name}.6

%files
%doc CREDITS.md NEWS doc/README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/XaoS
%{_datadir}/applications/io.github.xaos_project.XaoS.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/xaos.6.gz

%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Thu May 22 2025 Packit <hello@packit.dev> - 4.3.4-1
- Update to 4.3.4 upstream release
- Resolves: rhbz#2367949

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Oct 28 2024 Packit <hello@packit.dev> - 4.3.3-1
- Update to 4.3.3 upstream release
- Resolves: rhbz#2322215

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Packit <hello@packit.dev> - 4.3.2-1
- [packit] 4.3.2 upstream release
- Resolves rhbz#2259068

* Sun Oct 08 2023 Sandro <devel@penguinpee.nl> - 4.3.1-3
- Fix .desktop file name

* Sun Oct 08 2023 Sandro <devel@penguinpee.nl> - 4.3.1-2
- Update to Qt6

* Sun Oct 08 2023 Packit <hello@packit.dev> - 4.3.1-1
- [packit] 4.3.1 upstream release

* Sun Oct 08 2023 Sandro <devel@penguinpee.nl> - 4.2.1-9
- Use forge macro for setup

* Sun Oct 08 2023 Sandro <devel@penguinpee.nl> - 4.2.1-8
- Add Packit config

* Fri Sep 08 2023 Sandro <devel@penguinpee.nl> - 4.2.1-7
- Drop patch
- Files the patch applied to are no longer in the source.

* Fri Sep 08 2023 Sandro <devel@penguinpee.nl> - 4.2.1-6
- Use forge macros
- Fix indentation

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Feb 02 2023 Florian Weimer <fweimer@redhat.com> - 3.6-20
- Fix C99 compatibility issues

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jan 13 2023 Dale Turner <rxguy@protonmail.com> - 4.2.1-2
- Migrate to SPDX license

* Sat Jan 07 2023 Dale Turner <rxguy@protonmail.com> - 4.2.1
- Update to 4.2.1

* Tue Aug 23 2022 Mamoru TASAKA <mtasaka@fedoraproject.org> - 3.6-18
- Rebuild for gsl-2.7.1

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Aug 20 2019 Susi Lehtola <jussilehtola@fedoraproject.org> - 3.6-11
- Rebuilt for GSL 2.6.

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Feb 22 2016 Orion Poplawski <orion@cora.nwra.com> - 3.6-3
- Rebuild for gsl 2.1

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jul  9 2015 GĂ©rard Milmeister <gemi@bluewin.ch> - 3.6-1
- new release 3.6

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jun 25 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 3.5-11
- Fix FTBFS with -Werror=format-security (#1037389, #1107203)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 3.5-8
- Rework help doc installation so that it will build with F19's rpm

* Sun Feb 10 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 3.5-7
- Remove vendor tag from desktop file as per https://fedorahosted.org/fesco/ticket/1077
- Cleanup spec as per recently changed packaging guidelines

* Wed Aug  1 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 3.5-6
- Fix gcc build error wrt conflicting types for register attribute

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 3.5-3
- Rebuild for new libpng

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Gerard Milmeister <gemi@bluewin.ch> - 3.5-1
- new release 3.5
- Enable long double on ix86 and x86_64 architectures.
- Enable i386 inline assembly on ix86.
- Enable threads on all architectures

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Aug 20 2008 Gerard Milmeister <gemi@bluewin.ch> - 3.4-2
- enabled GTK driver

* Wed Aug 20 2008 Gerard Milmeister <gemi@bluewin.ch> - 3.4-1
- new release 3.4

* Tue Aug 12 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 3.2.3-5
- Fix license tag.

* Fri Feb 22 2008 Gerard Milmeister <gemi@bluewin.ch> - 3.2.3-3
- added BR dvipdfm

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.2.3-2
- Autorebuild for GCC 4.3

* Sat Dec  2 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.2.3-1
- new version 3.2.3

* Sun Nov  5 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.2.2-1
- new version 3.2.2

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.2.1-4
- Rebuild for FE6
- added BR: gettext

* Sat Jun 10 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.2.1-3
- disabled stripping of binaries

* Tue Jun  6 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.2.1-2
- added BuildReq: libXt-devel
- fixed permissions
- added .desktop file
- added icon

* Sun Jun  4 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.2.1-1
- new version 3.2.1

* Sat Feb  4 2006 Gerard Milmeister <gemi@bluewin.ch> - 3.2-1
- new version 3.2

* Sun Dec 18 2005 Gerard Milmeister <gemi@bluewin.ch> - 3.1.3-1
- New Version 3.1.3

* Thu Mar 31 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:3.1-0.fdr.1
- New Version 3.1.2

* Sun Jul 18 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:3.1-0.fdr.1
- First Fedora release

## END: Generated by rpmautospec
